From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/accounts-qt/
Date: Sat, 31 Aug 2019 20:46:22 +0000 (UTC) [thread overview]
Message-ID: <1567284368.0f07273076f5886d2219cf4007fadb8c0f04dd27.asturm@gentoo> (raw)
commit: 0f07273076f5886d2219cf4007fadb8c0f04dd27
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 31 19:16:53 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug 31 20:46:08 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f072730
net-libs/accounts-qt: EAPI-7 bump
Package-Manager: Portage-2.3.74, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
net-libs/accounts-qt/accounts-qt-1.15.ebuild | 34 ++++++++++++++++++----------
1 file changed, 22 insertions(+), 12 deletions(-)
diff --git a/net-libs/accounts-qt/accounts-qt-1.15.ebuild b/net-libs/accounts-qt/accounts-qt-1.15.ebuild
index 042c2bffddf..9b7e7c225ad 100644
--- a/net-libs/accounts-qt/accounts-qt-1.15.ebuild
+++ b/net-libs/accounts-qt/accounts-qt-1.15.ebuild
@@ -1,43 +1,53 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit qmake-utils vcs-snapshot
+inherit qmake-utils
DESCRIPTION="Qt5 bindings for libaccounts-glib"
HOMEPAGE="https://01.org/gsso/"
-SRC_URI="https://gitlab.com/accounts-sso/libaccounts-qt/repository/VERSION_1.15/archive.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://gitlab.com/accounts-sso/lib${PN}/repository/VERSION_${PV}/archive.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 x86"
IUSE="doc test"
-# dbus problems
-RESTRICT="test"
-
+BDEPEND="
+ doc? ( app-doc/doxygen )
+"
RDEPEND="
- >=net-libs/libaccounts-glib-1.23:=
dev-libs/glib:2
dev-qt/qtcore:5
dev-qt/qtxml:5
+ >=net-libs/libaccounts-glib-1.23:=
"
DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen )
test? ( dev-qt/qttest:5 )
"
+# dbus problems
+RESTRICT="test"
+
+S="${WORKDIR}/lib${PN}-VERSION_${PV}-5b272ae218ccdf1f67f4eed92e2cdbe21c56ceb8"
+
src_prepare() {
default
- sed -e "s|share/doc/\$\${PROJECT_NAME}|share/doc/${PF}|" -i doc/doc.pri || die
- use doc || sed -e "/include( doc\/doc.pri )/d" -i ${PN}.pro || die
- use test || sed -i -e '/^SUBDIRS/s/tests//' accounts-qt.pro || die "couldn't disable tests"
+ sed -e "s|share/doc/\$\${PROJECT_NAME}|share/doc/${PF}|" \
+ -i doc/doc.pri || die
+ if ! use doc; then
+ sed -e "/include( doc\/doc.pri )/d" -i ${PN}.pro || die
+ fi
+ if ! use test; then
+ sed -e '/^SUBDIRS/s/tests//' \
+ -i accounts-qt.pro || die "couldn't disable tests"
+ fi
}
src_configure() {
- eqmake5 LIBDIR="${EPREFIX%/}/usr/$(get_libdir)"
+ eqmake5 LIBDIR="${EPREFIX}/usr/$(get_libdir)"
}
src_install() {
next reply other threads:[~2019-08-31 20:46 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-08-31 20:46 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-03 20:31 [gentoo-commits] repo/gentoo:master commit in: net-libs/accounts-qt/ Andreas Sturmlechner
2025-01-03 20:31 Andreas Sturmlechner
2024-10-05 7:07 Michał Górny
2024-10-04 21:04 Andreas Sturmlechner
2024-06-29 16:34 Andreas Sturmlechner
2024-06-28 12:59 Sam James
2024-06-28 0:59 Sam James
2024-06-28 0:16 Sam James
2024-01-12 14:03 Sam James
2023-03-23 19:52 Andreas Sturmlechner
2022-10-16 11:42 Andreas Sturmlechner
2022-09-21 21:36 Andreas Sturmlechner
2021-07-26 18:13 Andreas Sturmlechner
2019-12-11 16:52 Andreas Sturmlechner
2019-12-11 16:14 Aaron Bauman
2019-12-10 9:17 Agostino Sarubbo
2019-12-09 14:38 Agostino Sarubbo
2019-11-20 17:46 Andreas Sturmlechner
2019-11-20 15:38 Andreas Sturmlechner
2019-08-06 13:03 Michael Palimaka
2018-01-25 14:26 Michael Palimaka
2018-01-25 14:26 Michael Palimaka
2017-09-09 16:00 Michael Palimaka
2017-09-09 13:08 Michael Palimaka
2017-09-06 21:00 Michał Górny
2016-06-23 13:40 Michael Palimaka
2016-05-24 11:39 Mikle Kolyada
2016-03-22 14:47 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1567284368.0f07273076f5886d2219cf4007fadb8c0f04dd27.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox